# Uses of Class
org.apache.zookeeper.data.ClientInfo

Packages that use ClientInfo
Package
Description
org.apache.zookeeper
org.apache.zookeeper.data
org.apache.zookeeper.proto
org.apache.zookeeper.server.util

## Uses of ClientInfo in org.apache.zookeeper

Methods in org.apache.zookeeper that return types with arguments of type ClientInfo
Modifier and Type
Method
Description
`List<ClientInfo>`
ZooKeeper.`whoAmI()`
Gives all authentication information added into the current session.

## Uses of ClientInfo in org.apache.zookeeper.data

Methods in org.apache.zookeeper.data with parameters of type ClientInfo
Modifier and Type
Method
Description
`void`
ClientInfo.`copyFrom(ClientInfo from)`

## Uses of ClientInfo in org.apache.zookeeper.proto

Methods in org.apache.zookeeper.proto that return types with arguments of type ClientInfo
Modifier and Type
Method
Description
`List<ClientInfo>`
WhoAmIResponse.`getClientInfo()`
Method parameters in org.apache.zookeeper.proto with type arguments of type ClientInfo
Modifier and Type
Method
Description
`void`
WhoAmIResponse.`setClientInfo(List<ClientInfo> m_)`
Constructor parameters in org.apache.zookeeper.proto with type arguments of type ClientInfo
Modifier
Constructor
Description
``
`WhoAmIResponse(List<ClientInfo> clientInfo)`

## Uses of ClientInfo in org.apache.zookeeper.server.util

Methods in org.apache.zookeeper.server.util that return types with arguments of type ClientInfo
Modifier and Type
Method
Description
`static List<ClientInfo>`
AuthUtil.`getClientInfos(List<Id> authInfo)`
Gets user from id to prepare ClientInfo.